from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XFilePickerListener(XEventListener, Protocol):
    def fileSelectionChanged(self, aEvent: FilePickerEvent) -> None: ...
    def directoryChanged(self, aEvent: FilePickerEvent) -> None: ...
    def helpRequested(self, aEvent: FilePickerEvent) -> str: ...
    def controlStateChanged(self, aEvent: FilePickerEvent) -> None: ...
    def dialogSizeChanged(self) -> None: ...
